@if (loading()) {
  <mat-spinner class="spinner" diameter="24"/>
}
<button
  mat-fab
  [extended]="!!buttonContent()"
  cdkOverlayOrigin
  #trigger="cdkOverlayOrigin"
  (click)="handleClick()"
  [disabled]="loading()">
  <mat-icon>{{ icon() }}</mat-icon>
  @if (buttonContent(); as content) {
    <ng-container [ngTemplateOutlet]="content"/>
  }
</button>

<ng-template
  cdkConnectedOverlay
  cdkConnectedOverlayPush
  [cdkConnectedOverlayOrigin]="trigger"
  [cdkConnectedOverlayOpen]="overlayOpen()"
  (overlayOutsideClick)="overlayOpen.set(false)">
  <ng-container [ngTemplateOutlet]="overlayContent()"/>
</ng-template>
